# Update CVV rotation interval Allows to manage CVV rotation, for example: * Set CVV rotation for cards without CVV rotation * Increase/decrease CVV rotation interval A [Card CVV changed](https://developers.pismo.io/events/docs/cards-rotate-cvv-1) event is generated with `operation_type` = `CHANGE_CVV_ROTATION` **Notes** * This endpoint takes an account token - an access token encoded with a Pismo account ID. * This is a PCI endpoint, use the https://gw-pci.pismolabs.io environment. # OpenAPI definition ```json { "openapi": "3.0.1", "info": { "title": "Card issuing - Cards", "version": "1.4.6", "description": "Card endpoints API", "contact": { "name": "API Support", "url": "https://developers.pismo.io/support/" }, "license": { "name": "Copyright Pismo" } }, "servers": [ { "url": "https://sandbox.pismolabs.io", "description": "Sandbox API server for testing." }, { "url": "https://gw-pci.pismolabs.io", "description": "Sandbox PCI API server for testing" } ], "security": [ { "BearerAuth": [] } ], "tags": [ { "name": "CVV rotation", "description": "CVV rotation management" } ], "components": { "parameters": { "cardId": { "in": "path", "name": "cardId", "schema": { "type": "string" }, "description": "Pismo card ID", "required": true } }, "schemas": { "CardID2": { "type": "integer", "description": "Pismo card ID", "example": 123456 }, "CvvChangeRotationRequest": { "type": "object", "description": "Request to change the CVV rotation interval", "required": [ "cvv_rotation_interval_hours" ], "properties": { "cvv_rotation_interval_hours": { "$ref": "#/components/schemas/CvvRotationIntervalHours" } } }, "CvvChangeRotationResponse": { "type": "object", "description": "CVV rotation request response", "properties": { "id": { "$ref": "#/components/schemas/CardID2" }, "cvv_rotation_interval_hours": { "$ref": "#/components/schemas/CvvRotationIntervalHours" } } }, "CvvRotationIntervalHours": { "type": "integer", "description": "New CVV rotation interval in hours", "minimum": 1, "example": 4320 } }, "securitySchemes": { "BearerAuth": { "type": "http", "scheme": "bearer", "description": "Account token - an access token encoded with a Pismo account ID. Tokens can expire quickly, which can result in an \"Unauthorized\" error.", "bearerFormat": "JWT" } }, "responses": { "400BadRequest": { "description": "Bad Request" }, "401Unauthorized": { "description": "Access token is missing or invalid" }, "403Forbidden": { "description": "You don't have permission to access this resource" }, "404NotFound": { "description": "The specified resource was not found" }, "500InternalServer": { "description": "Internal server error" } } }, "paths": { "/pcicards/v2/pcicards/cvv/{cardId}/change-rotation": { "patch": { "summary": "Update CVV rotation interval", "description": "Allows to manage CVV rotation, for example:\n \n * Set CVV rotation for cards without CVV rotation\n\n * Increase/decrease CVV rotation interval\n\nA [Card CVV changed](https://developers.pismo.io/events/docs/cards-rotate-cvv-1) event is generated with `operation_type` = `CHANGE_CVV_ROTATION`\n\n**Notes**\n\n * This endpoint takes an account token - an access token encoded with a Pismo account ID.\n\n * This is a PCI endpoint, use the https://gw-pci.pismolabs.io environment.\n", "operationId": "patch-v2-card-change-rotation", "tags": [ "CVV rotation" ], "parameters": [ { "$ref": "#/components/parameters/cardId" } ], "requestBody": { "description": "Update CVV rotation interval request body", "required": true, "content": { "application/json": { "schema": { "$ref": "#/components/schemas/CvvChangeRotationRequest" } } } }, "responses": { "200": { "description": "OK. (The CVV rotation interval was changed)", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/CvvChangeRotationResponse" } } } }, "400": { "$ref": "#/components/responses/400BadRequest" }, "401": { "$ref": "#/components/responses/401Unauthorized" }, "403": { "$ref": "#/components/responses/403Forbidden" }, "404": { "$ref": "#/components/responses/404NotFound" }, "500": { "$ref": "#/components/responses/500InternalServer" } } } } } } ```